Subject: Re: [bug#66134] [PATCH 00/12] Add just

From: Efraim Flashner <[email-masked]>
Date: Thu, 28 Sep 2023 21:18:26 +0300

Thanks for the patches! I applied them, with a few minor changes.

On Thu, Sep 21, 2023 at 06:11:25PM +0530, Andrew Jose wrote:
> The following patches add the crates required
> for just (https://github.com/casey/just) in
> dependency order, a patch to make the tests pass,
> and finally, just in rust-apps.scm
> 
> Andrew Jose (12):
>   gnu: add rust-executable-path-1
>   gnu: add rust-snafu-derive-0.7
>   gnu: add rust-snafu-0.7
>   gnu: add rust-lexiclean-0.0.1
>   gnu: add rust-strum-macros-0.24
>   gnu: add rust-strum-0.24

I combined these two so we could build and run the tests on them both,
since they depended on each other.

>   gnu: add rust-dotenvy-0.15
>   gnu: add rust-cradle-0.2
>   gnu: add rust-target-2
>   gnu: add rust-temptree-0.2
>   gnu: add patch for just
>   gnu: add just

I started by combining these two, but then I removed the one adding a
patch and added cargo-test-flags to skip those two tests. I also made
some minor adjustments to the substitutions to try and more closely
match the exectuables.

I followed up with 2 more patches, one to install the manpage, another
to install the shell completions.

I saw that there were more shebangs in src/shebangs.rs and src/parser.sh
but I didn't adjust those. I wasn't sure if they were supposed to remain
as-is or be patched to refer to paths in the store.

>  gnu/packages/crates-io.scm                  | 224 +++++++++++++++++++-
>  gnu/packages/patches/just-remove-test.patch |  61 ++++++
>  gnu/packages/rust-apps.scm                  |  71 +++++++
>  3 files changed, 348 insertions(+), 8 deletions(-)
>  create mode 100644 gnu/packages/patches/just-remove-test.patch
> 
> 
> base-commit: 15c5f1a2c20b21de0f19f42db1ccab4c42117ebb
> -- 
> 2.34.1
> 
> 
> 
> 

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted